Bug 38107 - Core Edition: univention-ldap adjustments
Core Edition: univention-ldap adjustments
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: LDAP
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0-1-errata
Assigned To: Stefan Gohmann
Alexander Kläser
:
Depends on:
Blocks: 38096
  Show dependency treegraph
 
Reported: 2015-03-19 17:11 CET by Stefan Gohmann
Modified: 2015-04-21 09:26 CEST (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
core-edition.ldif (1013 bytes, text/x-ldif)
2015-04-02 15:21 CEST, Stefan Gohmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2015-03-19 17:11:48 CET
The univention-ldap package must be adjusted to the Core Edition. The license will contain "Univention Core Edition" instead of "Free for personal use edition".
Comment 1 Stefan Gohmann univentionstaff 2015-04-02 15:21:04 CEST
Created attachment 6802 [details]
core-edition.ldif
Comment 2 Stefan Gohmann univentionstaff 2015-04-02 16:07:24 CEST
Fixed: r59523

If the default FFPU license without a keyID is used, the license is updated during the upgrade.

If the system is installed, the new license is used.
Comment 3 Alexander Kläser univentionstaff 2015-04-09 15:56:51 CEST
(In reply to Stefan Gohmann from comment #2)
> Fixed: r59523
> 
> If the default FFPU license without a keyID is used, the license is updated
> during the upgrade.

Yes, package upgrade with FFPU not activated, FFPU activated and commercial license is working fine.

> If the system is installed, the new license is used.

Yes, this works fine, as well. I tested it in an appliance setup.
Comment 4 Stefan Gohmann univentionstaff 2015-04-19 20:24:03 CEST
The changes need to be merged to the errata scope.
Comment 5 Stefan Gohmann univentionstaff 2015-04-19 20:40:00 CEST
(In reply to Stefan Gohmann from comment #4)
> The changes need to be merged to the errata scope.

Done

Code: r59954

YAML: r59956
Comment 6 Alexander Kläser univentionstaff 2015-04-20 15:06:40 CEST
Changes: OK
YAML: OK, I adjusted the package version [r59974]
Comment 7 Janek Walkenhorst univentionstaff 2015-04-21 09:21:21 CEST
<http://errata.univention.de/ucs/4.0/153.html>